#ifndef ODFBMAP_HPP
#define ODFBMAP_HPP

#ifdef FW_BUILD_WIN

//========================================================================================
//
//	File:				ODFBMap.hpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#pragma warning(disable:4190)

// ----- ODF (Foundation) Includes -----

#ifndef FWCOMMON_H
#include "FWCommon.h"
#endif

#ifndef FWMEMORY_H
#include "FWMemory.h"
#endif

#ifndef FWSTRING_H
#include "FWString.h"
#endif

#ifndef FWSTREAM_H
#include "FWStream.h"
#endif

#ifndef FWFOUNDU_H
#include "FWFoundU.h"
#endif

#ifndef FWEXCLIB_H
#include "FWExcLib.h"
#endif

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

#ifndef FWDEBUG_H
#include "FWDebug.h"
#endif

#ifndef FWTASKG_H
#include "FWTaskG.h"
#endif

#ifndef FWCOLLEC_H
#include "FWCollec.h"
#endif

// ----- OpenDoc includes

#ifndef _ODTYPES_
#include "odtypes.h"
#endif

#ifndef _ODUTILS_
#include "ODUtils.h"
#endif

#ifndef SOM_ODFacet_xh
#include "Facet.xh"
#endif

#ifndef SOM_ODFrame_xh
#include "Frame.xh"
#endif

#ifndef SOM_ODInfo_xh
#include "Info.xh"
#endif

#ifndef SOM_ODFocusSet_xh
#include "FocusSet.xh"
#endif

#ifndef SOM_ODStdProps_xh
#include "StdProps.xh"
#endif

#ifndef SOM_Module_5codsom5cinterfac5ccplus5cmachinem5cFOCI_OpenDoc_Foci_defined
#include "Foci.xh"
#endif

#ifndef SOM_ODArbitrator_xh
#include "Arbitrat.xh"
#endif

#ifndef SOM_ODMenuBar_xh
#include "MenuBar.xh"
#endif

#ifndef SOM_ODSession_xh
#include "ODSessn.xh"
#endif

#ifndef SOM_ODStorageUnit_xh
#include "Storageu.xh"
#endif

#ifndef SOM_ODWindowState_xh
#include "winstat.xh"
#endif

#ifndef SOM_ODWindow_xh
#include "window.xh"
#endif

#ifndef SOM_ODShape_xh
#include "shape.xh"
#endif

#ifndef SOM_ODFrameFacetIterator_xh
#include "frfaitr.xh"
#endif

#ifndef SOM_ODCanvas_xh
#include "canvas.xh"
#endif

#endif

#endif // ODFBMAP_HPP
