//========================================================================================
//
//	File:				TblDef.h
//	Release Version:	$ 1.0d11 $ 
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef TBLDEF_H
#define TBLDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 1
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

#ifndef FW_SUPPORTS_EMBEDDING
#error You must define FW_SUPPORTS_EMBEDDING to be 0 or 1 (immediately above)
#endif

#ifndef FW_SUPPORTS_EXTENSIONS
#error You must define FW_SUPPORTS_EXTENSIONS to be 0 or 1 (immediately above)
#endif

#ifndef FW_SUPPORTS_SCRIPTING
#error You must define FW_SUPPORTS_SCRIPTING to be 0 or 1 (immediately above)
#endif

// Kind
#define kODFTableKind "+//ISO 9070/ANSI::113722::US::CI LABS::Apple:ODFExamples:Kind:ODFTable"

// Class ID
#define kODFTableEditor "ODFExamples::ODFTable"

// Editor User String
#define kODFTableEditorUserString "ODFTable 1.0d11"

// Kind User String
#define kODFTableKindUserString "ODF Table Example"

// Category User String
#define kODFTableCategoryUserString "Table Container"

// Table OSType
#define kODFTableOSType 'DFTD'

// Icon ID
#define kPartIconID 	145

// Properties and Values
#define kTableMenuProp "Table Menu Prop"
#define kTableMenuValue "Table Menu Value"

#define kKindCategoryMapId			128
#define kEditorKindMapId			kKindCategoryMapId+1
#define kEditorUserStringMapId		kEditorKindMapId+1
#define kKindUserStringMapId		kEditorUserStringMapId+1
#define kCategoryUserStringMapId	kKindUserStringMapId+1
#define kOldMacOSTypeMapId			kCategoryUserStringMapId+1

// ----- Menu Strings ID -----
#define kMenuStrings 1000

#define kTableStr					1
#define kHideGridStr				2
#define kShowGridStr				3

#endif

