//========================================================================================
//
//	File:				FWGrowBx.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWGROWBX_H
#define FWGROWBX_H

#ifndef FWGADGET_H
#include "FWGadget.h"
#endif

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

//========================================================================================
//	Forward Class Definitions
//========================================================================================

class FW_CLASS_ATTR FW_CFrame;
class FW_CLASS_ATTR FW_CActivateEvent;

//========================================================================================
//	CLASS FW_CGrowBox
//========================================================================================

class FW_CLASS_ATTR FW_CGrowBox : public FW_CGadget
{
public:
	FW_DECLARE_CLASS

//----------------------------------------------------------------------------------------
//	Initialization/destruction
//
public:
	FW_CGrowBox(Environment* ev, 
				FW_CView* container, ODID id,
				const FW_CPoint& location);
	virtual ~FW_CGrowBox();	

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void 			Draw(Environment* ev, ODFacet* facet, ODShape* invalidShape);
	virtual FW_Boolean		DoActivateEvent(Environment *ev, 
										const FW_CActivateEvent& theActivateEvent);
	
};

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export off
#endif

#endif
