//========================================================================================
//
//	File:				FWGrGlob.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWGRGLOB_H
#define FWGRGLOB_H

#ifndef FWGCONST_H
#include "FWGConst.h"
#endif

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWGRDEF_H
#include "FWGrDef.h"
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class 	FW_CLASS_ATTR FW_CGraphicContext;
class 	FW_CLASS_ATTR FW_CColor;
class 	FW_CLASS_ATTR FW_CRasterizer;

//========================================================================================
//	Private globals
//========================================================================================

// ----- Transfer Modes -----

#ifdef FW_BUILD_MAC
extern const short 			FW_gTransferModes[];
#endif
#ifdef FW_BUILD_WIN
extern const int 			FW_gTransferModes[];
extern const DWORD 			FW_gWinRasterOps[];
#endif

// ----- Graphic Globals -----

extern FW_CRasterizer*		FW_gRasterizer;

#ifdef FW_BUILD_MAC
extern WindowPtr 			FW_gScratchWindow;
#endif

extern FW_CGraphicContext*	FW_gLastGC;

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export off
#endif

#endif
