//========================================================================================
//
//	File:				FWCurCon.cpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWCURSOR_H
#include "FWCursor.h"
#endif

//========================================================================================
//	Runtime Informations
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

#ifdef FW_BUILD_MAC	
#pragma segment fwosmisc
#endif

//========================================================================================
// System Global Cursors
//========================================================================================

#ifdef FW_BUILD_MAC
// ??? JEL CHANGE THESE BACK TO const FW_CCursor WHEN RAINBOW BUG IS FIXED
FW_CCursor FW_gArrowCursor;
FW_CCursor FW_gIBeamCursor(iBeamCursor, TRUE);
FW_CCursor FW_gCrossHairCursor(crossCursor, TRUE);
FW_CCursor FW_gWaitCursor(watchCursor, TRUE);
FW_CCursor FW_gOpenHandCursor(128, FALSE);
FW_CCursor FW_gClosedHandCursor(129, FALSE);
FW_CCursor FW_gSizeWECursor(130, FALSE);			
FW_CCursor FW_gSizeNSCursor(131, FALSE);			
FW_CCursor FW_gSizeNWSECursor(132, FALSE);		
FW_CCursor FW_gSizeNESWCursor(133, FALSE);		
#endif

#ifdef FW_BUILD_WIN
FW_CCursor FW_gArrowCursor(IDC_ARROW);
FW_CCursor FW_gIBeamCursor(IDC_IBEAM);
FW_CCursor FW_gCrossHairCursor(IDC_CROSS);
FW_CCursor FW_gWaitCursor(IDC_WAIT);
FW_CCursor FW_gSizeWECursor(IDC_SIZEWE);			
FW_CCursor FW_gSizeNSCursor(IDC_SIZENS);			
FW_CCursor FW_gSizeNWSECursor(IDC_SIZENWSE);		
FW_CCursor FW_gSizeNESWCursor(IDC_SIZENESW);		

FW_CCursor FW_gOpenHandCursor(128, FALSE);
FW_CCursor FW_gClosedHandCursor(129, FALSE);
#endif

