//========================================================================================
//
//	File:				FWODUtils.hpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

// This file is used to precompile headers to build the OpenDoc Utilities used by ODF

#include "ODConfig.h"

#pragma once on

// Headers for OpenDoc utilities. Several of these need to be
// included before ODTypes.h to work their magic.

#include <AltPoint.h>
#include <AltPoly.h>
#include <Except.h>
#include <ODDebug.h>
#include <ODNew.h>
#include <UseRsrcM.h>

// Central headers for OpenDoc types and part handler API:

#include <ODTypes.h>
#include <Part.xh>

#include "FWPoint.h"
