//========================================================================================
//
//	File:				BmpDef.h
//	Release Version:	$ 1.0d11 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================


#ifndef BMPDEF_H
#define BMPDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

#ifndef FW_SUPPORTS_EMBEDDING
#error You must define FW_SUPPORTS_EMBEDDING to be 0 or 1 (immediately above)
#endif

#ifndef FW_SUPPORTS_EXTENSIONS
#error You must define FW_SUPPORTS_EXTENSIONS to be 0 or 1 (immediately above)
#endif

#ifndef FW_SUPPORTS_SCRIPTING
#error You must define FW_SUPPORTS_SCRIPTING to be 0 or 1 (immediately above)
#endif

// Kind
#define kODFBitmapKind "+//ISO 9070/ANSI::113722::US::CI LABS::Apple:ODFExamples:Kind:ODFBitmap"

// Class ID
#define kODFBitmapEditor "ODFExamples::ODFBmp"

// Editor User String
#define kODFBitmapEditorUserString "ODFBitmap 1.0d11"

// Kind User String
#define kODFBitmapKindUserString "ODF Bitmap Example"

// Category User String
#define kODFBitmapCategoryUserString "Bitmap"

// OSType
#define kODFBitmapOSType 'DFBD'

// PlatformType
#define kPICTOSType			 'PICT'
#define kDragKindUserString1 "Picture file"
#define kDragKindUserString2 "Picture data"

#define kKindCategoryMapId			128
#define kEditorKindMapId			kKindCategoryMapId + 1
#define kEditorUserStringMapId		kEditorKindMapId + 1
#define kKindUserStringMapId		kEditorUserStringMapId + 1
#define kCategoryUserStringMapId	kKindUserStringMapId + 1
#define kOldMacOSTypeMapId			kCategoryUserStringMapId + 1
#define kEditorPlatformKinds		kOldMacOSTypeMapId + 1

// Icon ID
#define kPartIconID					139

// ----- Menu Strings ID -----
#define kMenuStrings 1000

#define kHalfSize				1
#define kRealSize				kHalfSize + 1
#define kDoubleSize				kRealSize + 1 
#define kFitToFrame				kDoubleSize + 1
#define kAboutString			kFitToFrame + 1

#endif

