//	File:		ClockCom.fr
//
//	Contains:	Common (Platform independent) resources for ClockPart
//
//	Written by:	Lonnie Millett
//
//	Copyright:	 1993-1995 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef CLOCKDEF_H
#include "ClockDef.h"
#endif

//----------------------------------------------------------------------------
//	Strings for Clock Menu
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kClockMenuStrings)
{
	kClockMenuString, "Clock";
    kClockAnalogMenuString, "Display as Analog";
    kClockDigitalMenuString, "Display as Digital";
    kClockTickMenuString, "Tick";
    kClockChimeMenuString, "Chime";
}

//----------------------------------------------------------------------------
//	Strings for clock face
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kClockFaceStrings)
{
	kClockDigitalWidthString, "12:59:59 MM";
    kClockOpenDocString, "ODF";
}
