//========================================================================================
//
//	File:				FWCommon.hpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	(c) 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWCOMMON_HPP
#define FWCOMMON_HPP

// ----- ODF Includes -----

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

// ----- C++ runtime Includes -----

#include <stddef.h>

// ----- Platform Includes -----

#if defined(FW_BUILD_WIN) && !defined(_INC_WINDOWS)
#include <Windows.h>
#endif

#if defined(FW_BUILD_WIN) && !defined(_INC_WINDOWSX)
#include <WindowsX.h>
#endif

#if defined(FW_BUILD_MAC) && !defined(__MEMORY__)
#include <Memory.h>
#endif

#endif // FWCOMMON_HPP
