#ifndef FWEXCTAS_H
#define FWEXCTAS_H

//========================================================================================
//
//	File:				FWExcTas.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	(c) 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef   FWSEXCEP_H
#include "FWSExcep.h"
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

//=====================================================================================
// Classes used by this interface
//=====================================================================================

class FW_CThreadGuardExceptionGlobals;

//========================================================================================
// CLASS FW_CExceptionTaskGlobals
//========================================================================================

class FW_CLASS_ATTR FW_CExceptionTaskGlobals
{

public:

	static void Initialize(FW_SPrivExceptionGlobals& globals);
	static void Terminate();

	static FW_SPrivExceptionGlobals& GetExceptionGlobals();

private:

	FW_CExceptionTaskGlobals();

private:

	friend class FW_CThreadGuardExceptionGlobals;
	static FW_SPrivExceptionGlobals *gGlobals;
};

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export off
#endif

#endif
