//========================================================================================
//
//	File:				FWConnec.cpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	(c) 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFound.hpp"

#ifndef FWCONNEC_H
#include "FWConnec.h"
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

//========================================================================================
// CLASS FW_CConnection
//========================================================================================

//----------------------------------------------------------------------------------------
// FW_CConnection::FW_CConnection
//----------------------------------------------------------------------------------------

FW_CConnection::FW_CConnection() :
	fIsConnected(FALSE)
{
}

//----------------------------------------------------------------------------------------
// FW_CConnection::~FW_CConnection
//----------------------------------------------------------------------------------------

FW_CConnection::~FW_CConnection()
{
}

//----------------------------------------------------------------------------------------
// FW_CConnection::Connect
//----------------------------------------------------------------------------------------

void FW_CConnection::Connect()
{
	fIsConnected = TRUE;
}

//----------------------------------------------------------------------------------------
// FW_CConnection::Disconnect
//----------------------------------------------------------------------------------------

void FW_CConnection::Disconnect()
{
	fIsConnected = FALSE;
}
