//========================================================================================
//
//	File:				FWPrtDef.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWPRTDEF_H
#define FWPRTDEF_H

//========================================================================================
//	Storage kind
//========================================================================================

enum FW_EStorageKinds
{
	FW_kClipboardStorage = 1,
	FW_kDragAndDropStorage = 2,
	FW_kLinkStorage = 4,
	FW_kPartStorage = 8
};

//========================================================================================
//	Internalize result
//========================================================================================

enum FW_EInternalizeResult
{
	FW_kInternalizeFailed,
	FW_kInternalizeContent,
	FW_kInternalizeFrame,
	FW_kInternalizePart
};

//========================================================================================
// ODF Properties
//========================================================================================

#define FW_kPropEmbeddedFrames "Apple:ODF:Property:EmbeddedFrames"

#endif

