//========================================================================================
//
//	File:				FWFrmInf.cpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFrameW.hpp"

#ifndef FWFRMINF_H
#include "FWFrmInf.h"
#endif

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

//========================================================================================
//	RunTime Info
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

#ifdef FW_BUILD_MAC
#pragma segment framework
#endif

//========================================================================================
//	class FW_CFramePartInfo
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_CFramePartInfo::FW_CFramePartInfo
//----------------------------------------------------------------------------------------

FW_CFramePartInfo::FW_CFramePartInfo(Environment* ev, FW_CFrame* frame) :
	fFrame(frame)
{
	fEventHandler = frame;
}

//----------------------------------------------------------------------------------------
//	FW_CFramePartInfo::~FW_CFramePartInfo
//----------------------------------------------------------------------------------------

FW_CFramePartInfo::~FW_CFramePartInfo()
{
}
