//========================================================================================
//
//	File:				FWRPCnst.cpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWRECT_H
#include "FWRect.h"
#endif

//========================================================================================
//	Runtime Informations
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

#ifdef FW_BUILD_MAC	
#pragma segment FWODUtil_Const
#endif

//========================================================================================
// Global Rect and Point
//========================================================================================

const FW_CRect		FW_kZeroRect = FW_CRect();		// Default constructor initilializes to 0
const FW_CPoint		FW_kZeroPoint = FW_CPoint();

//========================================================================================
// Global fixed point numbersx
//========================================================================================

const FW_CFixed FW_kFixed0		= FW_IntToFixed(0);
const FW_CFixed FW_kFixedPos1	= FW_IntToFixed(1);
const FW_CFixed FW_kFixedNeg1	= FW_IntToFixed(-1);
const FW_CFixed FW_kFixed72		= FW_IntToFixed(72);
const FW_CFixed FW_kFixedPI		= FW_DoubleToFixed(3.1415926536);
